@keyframes superanimation {
 0% {
  left: 0vw;
  top: 0vh;
 }

 50% {
  top: 50vh;
  transform: scale(1);
 }

 100% {
  left: 90vw;
  transform: scale(2);

 }
}

.rectangle {
  position: absolute;
  left: 0;
  top: 0;
  width: 100px;
  height: 50px;
  background-image: linear-gradient(to right,red, blue, black, rgba(79, 40, 189, 0.5));
  animation: superanimation 2s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}


div {
  margin: 25px;
  display: inline-block;
}

h1 {
  font-size: 150px;
  background: transparent;
  background: -webkit-linear-gradient( black, rgba(0,36,255, .75));
  background-clip: border-box;
  background-clip: initial;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
}

.carre {
  width: 400px;
  height: 400px;
  /* background-image: linear-gradient(to top right, #940584, rgb(112,220,92)); */
  background-color: red;
  border: 10px groove orange;
  transition: width 0.2s ease;
  transition-delay: 2s;
}

.carre:hover {
  width: 800px;
  background-color: #129504;
  transition: width 2s, background-color 5s;
}

.carre2 {
  width: 400px;
  height: 400px;
  background-image: linear-gradient(#293847, #129504 30%);
}

.rectangle2 {
  width: 800px;
  height: 400px;
  background-image: repeating-linear-gradient(white, blue, white 50px);
}

.cercle {
  width: 400px;
  height: 400px;
  z-index: -1;
  position: relative;
  background-image: radial-gradient(at center,white, #453267);
  border-radius: 200px;
  animation: superanimation 10s;
  animation-delay: 10s;
  animation-timing-function: 5;
}

.cercle2 {
  width: 400px;
  height: 400px;
  z-index: -1;
  position: relative;
  background-image: repeating-radial-gradient(ellipse at center, green, red, green 20px);
  border-radius: 200px;
}

.parallelogrammes {
  width: 200px;
  height: 200px;
  border: 100px solid red;
  border-style: dashed;
  border-left-color: darkgoldenrod;
  border-right-color: fuchsia;
  border-bottom-color:darksalmon;
}


.triangle {
  width: 0;
  height: 0;
  border: 100px solid red;
  border-left-color: transparent;
  border-left-width: 50px;
  border-right-color: transparent;
  border-bottom-color:transparent;
}